db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel John Debrunner <...@apache.org>
Subject Re: drop column functionality
Date Mon, 21 Aug 2006 21:21:15 GMT
Deepa Remesh wrote:

> On 8/21/06, Bryan Pendleton <bpendleton@amberpoint.com> wrote:
> 
>>
>> > 3. The version from trunk does not appear able to read databases
>> created
>> > with the 10.1.3.1 release. Has the database file syntax changed?
>>
>> I'm hoping one of the other developers can help with this question.
>> I think that this is on purpose, to avoid accidentally mixing releases
>> that may differ in major ways, but I think there is a configuration
>> flag that you can set that will authorize the trunk code to open and
>> read a previous-release database.
>>
>> Can anybody help us out here? How can Tim use some of his 10.1 databases
>> in experimenting with a patched release built from the trunk?
>>
> 
> Setting "derby.database.allowPreReleaseUpgrade" system property to
> true will allow pre-release code (like trunk code) to read databases
> from previous release. Note that this property is only to be used for
> testing. Please take a look at these links for additional info:
> http://www.nabble.com/Re%3A-Soft-Upgrade-question-p3441560.html
> http://wiki.apache.org/db-derby/UpgradingTen

and be warned since the trunk has only just been bumped to reflect
version 10.3 the corresponding upgrade code has *not* been updated. This
may mean the upgrade code is non-functional at this point in time on the
trunk.

Dan.


Mime
View raw message